import '@/styles/reset.less';
import 'element-ui/lib/theme-chalk/index.css';
import './images/font-icon/iconfont.css';
import './images/font-icon/iconfont.js';
import Vue from 'vue';
import VueRouter from 'vue-router';
import axios from 'axios';
import ElementUI from 'element-ui';
import App from './App.vue';
import router from './router';
// import { isRequest, itemCode } from '@/config';

Vue.use(VueRouter);
Vue.use(ElementUI);
// 请求头这种添加请求标识
// Object.assign(axios.defaults.headers.common, isRequest);
axios.defaults.withCredentials = true;

Vue.prototype.axios = axios;

// 开启vue devtools.....
/* eslint-disable-next-line */
Vue.config.devtools = process.env.NODE_ENV !== 'production';
Vue.config.productionTip = false;

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
